libdevice User's Guide (PDF) - v11.0.207 (older) - Last updated June 29, 2020 - Send Feedback

## 3.186. __nv_int2float_rz

Prototype:

    float @__nv_int2float_rz(i32 %in)

Description:

Convert the signed integer value `x` to a single-precision floating point value in round-towards-zero mode.

Returns:

Returns converted value.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes